# TFGrid3 Community Code of Conduct

This document outlines the values and principles that guide our community interactions and collaborations.

## Our Community Values

### Mutual Respect

We are committed to providing a friendly, safe, and welcoming environment for all, regardless of level of experience, gender identity and expression, sexual orientation, disability, personal appearance, body size, race, ethnicity, age, religion, nationality, or other similar characteristic.

### Planet People First

We identify as "a Planet People first community" - individuals who prioritize the well-being of our planet and its inhabitants above all else. This means:

- We make decisions with consideration for their environmental impact
- We value sustainable solutions and long-term thinking
- We recognize our responsibility as stewards of technology to create systems that benefit the planet and humanity
- We understand that our work has real-world implications beyond code and infrastructure

### Positive Attitude

We maintain a positive outlook and constructive approach, even when facing challenges:

- We view problems as opportunities for improvement
- We focus on solutions rather than dwelling on difficulties
- We support each other through setbacks
- We celebrate progress and achievements, both large and small

### Human Connections

We value human connections and relationships within our community:

- We prefer to collaborate with people we know and and can be open to
- We encourage contributors to build genuine relationships with team members
- We believe that strong human connections lead to better collaboration and outcomes
- **While we welcome all contributions, we prioritize building a community where members know each other** and don't have to hide.

### Transparency and Free Speech

We believe in:

- Open and honest communication
- Transparency in decision-making processes
- The right to express opinions freely
- The responsibility to use that freedom respectfully and constructively
- Balancing transparency with sensitivity to different perspectives and experiences

### Diversity and Safety

We recognize and celebrate that:

- Everyone is different and brings unique perspectives and strengths
- Different people have different needs to feel safe and comfortable
- Some community members, including many engineers, may be sensitive to harsh or confrontational communication
- Creating an inclusive environment means adapting our communication styles to ensure everyone can participate fully

## Expected Behavior

- Use welcoming and inclusive language
- Be respectful of differing viewpoints and experiences
- Gracefully accept constructive criticism
- Focus on what is best for the community
- Show empathy towards other community members
- Communicate openly and thoughtfully

## Unacceptable Behavior

- The use of sexualized language or imagery and unwelcome sexual attention or advances
- Trolling, insulting/derogatory comments, and personal or political attacks
- Public or private harassment
- Publishing others' private information without explicit permission
- Other conduct which could reasonably be considered inappropriate in a professional setting

## Enforcement

Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior. They will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful.

## Reporting

If you experience or witness unacceptable behavior, or have any other concerns, please report it by contacting the project team. All complaints will be reviewed and investigated promptly and fairly.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant](https://www.contributor-covenant.org), version 2.0, available at https://www.contributor-covenant.org/version/2/0/code_of_conduct.html, with additional elements specific to our community values.

---

By participating in our community, you agree to abide by this code of conduct and uphold our values in all community spaces, both online and offline.
